function ShootingMethod
%% Code for the shooting method

% Initialise the values
% The time interval
a = 
b = 
N = % Number of time steps
t = % Timegrid

% Boundary conditions
A =  
B = 

% RHS of the original ODE
f = %
% RHS of the coupled system
F = % 
% Jacobian of F
DyF = % 

% Parameters for Newton
MaxIt = 100; % Max number of iterations
tol = 1e-6; % Tolerance

% Initialise the shooting values
s = 1;
% Loop for the Newton
for i 
    % First, in the given step we have a certain s, for which we solve the
    % coupled system
    % For that value of s define the initial value for the coupled system
    ...
    % Find the solution of the coupled system using the Implicit midpoint

    [ ] = ImplicitMidpoint( );

    % From the solution extract the necessary values and compute the next 
    % iteration of the Newton's method
    
    % Break the iterations if the stopping criteria is satisfied
    if 
        y = ... % assign the solution
        break
    end
    
end
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
% Simple Plotting. Try not to alter this part of the code. You can comment%
%                           it out if necessary.                          %
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
figure
plot(t, y, 'b');
title('Plot of the solution')
xlabel('x')
ylabel('y')
axis equal
axis square

print -dpdf ShootingMethod
